﻿/*@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
*/
html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #0366d6;
/*    color: white;
*/}

.btn-deal{
    color: blue;
    background-color: antiquewhite;
    border-color:crimson;
    border-width:2px;
}
.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

app {
    display:flex;
    flex-direction:row;
}

.banner {
    height: 2.5rem;
    font-size: 2.05rem;
    font-weight: 400;
    font-style: oblique;
    color: purple;
}

@keyframes pulse {
    0% { opacity: 0; }
    75%, 100% { opacity: 1; }
}

:root {
    --deal-delay: 1s;
    --table-centerX: 0px;
    --table-centerY: 0px;
    --card-source-left: 0px;
    --card-source-top: 0px;
    --card-target-left: 0px;
    --card-target-top: 0px;

    --discard0-source-left: 0px;
    --discard0-source-top: 0px;
    --discard0-target-left: 0px;
    --discard0-target-top: 0px;
    --discard1-source-left: 0px;
    --discard1-source-top: 0px;
    --discard1-target-left: 0px;
    --discard1-target-top: 0px;
    --discard2-source-left: 0px;
    --discard2-source-top: 0px;
    --discard2-target-left: 0px;
    --discard2-target-top: 0px;
    --discard3-source-left: 0px;
    --discard3-source-top: 0px;
    --discard3-target-left: 0px;
    --discard3-target-top: 0px;
    --discard4-source-left: 0px;
    --discard4-source-top: 0px;
    --discard4-target-left: 0px;
    --discard4-target-top: 0px;
    --discard5-source-left: 0px;
    --discard5-source-top: 0px;
    --discard5-target-left: 0px;
    --discard5-target-top: 0px;
    --discard6-source-left: 0px;
    --discard6-source-top: 0px;
    --discard6-target-left: 0px;
    --discard6-target-top: 0px;
}

@-webkit-keyframes appear {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@-webkit-keyframes spin {
    from {
        -webkit-transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
    }
}
@-webkit-keyframes move {
    0% {
        left: var(--card-source-left);
        top: var(--card-source-top);
    }

    100% {
        left: var(--card-target-left);
        top: var(--card-target-top);
    }
}

@keyframes moveDiscard0 {
    0% {
        -webkit-transform: translate3d(0%, 0%, 0%);
    }

    100% {
        -webkit-transform: translate3d(calc(var(--discard0-target-left) - var(--discard0-source-left)), calc(var(--discard0-target-top) - var(--discard0-source-top)), 0px);
    }
}

@keyframes moveDiscard1 {
    0% {
        -webkit-transform: translate3d(0%, 0%, 0%);
    }

    100% {
        -webkit-transform: translate3d(calc(var(--discard1-target-left) - var(--discard1-source-left)), calc(var(--discard1-target-top) - var(--discard1-source-top)), 0px);
    }
}

@keyframes moveDiscard2 {
    0% {
        -webkit-transform: translate3d(0%, 0%, 0%);
    }

    100% {
        -webkit-transform: translate3d(calc(var(--discard2-target-left) - var(--discard2-source-left)), calc(var(--discard2-target-top) - var(--discard2-source-top)), 0px);
    }
}

@keyframes moveDiscard3 {
    0% {
        -webkit-transform: translate3d(0%, 0%, 0%);
    }

    100% {
        -webkit-transform: translate3d(calc(var(--discard3-target-left) - var(--discard3-source-left)), calc(var(--discard3-target-top) - var(--discard3-source-top)), 0px);
    }
}

@keyframes moveDiscard4 {
    0% {
        -webkit-transform: translate3d(0%, 0%, 0%);
    }

    100% {
        -webkit-transform: translate3d(calc(var(--discard4-target-left) - var(--discard4-source-left)), calc(var(--discard4-target-top) - var(--discard4-source-top)), 0px);
    }
}

@keyframes moveDiscard5 {
    0% {
        -webkit-transform: translate3d(0%, 0%, 0%);
    }

    100% {
        -webkit-transform: translate3d(calc(var(--discard5-target-left) - var(--discard5-source-left)), calc(var(--discard5-target-top) - var(--discard5-source-top)), 0px);
    }
}

@keyframes moveDiscard6 {
    0% {
        -webkit-transform: translate3d(0%, 0%, 0%);
    }

    100% {
        -webkit-transform: translate3d(calc(var(--discard6-target-left) - var(--discard6-source-left)), calc(var(--discard6-target-top) - var(--discard6-source-top)), 0px);
    }
}  

/*.seat1-vid-pos {
    grid-column-start: 2;
    grid-row-start: 10;
    position: absolute;
    top: 2vh;
    left:-4vh;
}
.seat2-vid-pos {
    grid-column-start: 1;
    grid-row-start: 5;
    left:0.5vh;
    position: absolute;
}
.seat3-vid-pos {
    grid-column-start: 3;
    grid-row-start: 1;
    position: absolute;
    left: -2vh;
}
.seat4-vid-pos {
    grid-column-start: 10;
    grid-row-start: 1;
    position: absolute;
}
.seat5-vid-pos {
    grid-column-start: 11;
    grid-row-start: 5;
    position: absolute;
    left:3.5vh;
}
.seat6-vid-pos
{
    grid-column-start: 10;
    grid-row-start: 10;
    position: absolute;
    top: 2vh;
    left:7.75vh;
}

.grid-left {
    text-align: left;
    grid-row-start: 10;
    grid-column-start: 1;
    grid-column-end: 5;
}

.grid-right {
    text-align: right;
    grid-row-start: 11;
    grid-column-start: 9;
    grid-column-end: -1;
}

.left {
    text-align: left;
    left: 0;
}

.right {
    text-align: right;
    right: 2px;
    float: right;
}
*/
.poker-table1 {
    background: url("/ThePokerTable.png") content-box no-repeat center center;
    background-size: 100.5% 100.5%;           /* prevent color lines at edge*/
    position: relative;
    margin:auto;
}

.mic-select{
    left:25%;
    width:auto;
    height:auto;
    margin:30vh auto 0 15vw;
    padding:10px;
}

/*.col2 {
    width: 80%;
    grid-column-start: 2;
    grid-row-start: 1;
    position: absolute;
}

*//*.poker-table-container {
    overflow: visible;
    width: 80vh;
    height: 100vh;
    float: left;
    font-size: large;*/
/*    background-size: 100%;
    background-color: navajowhite;
*//*}*/

button:hover{
/*        transform: scale(1.4,1.4);
        z-index:2000;
*/        background-color:green!important;
}

.table-cards-container {
    height: auto;
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-row-gap: 2vh;
    position: absolute;
}
    .table-cards-container:hover {
        transform: scale(1.25,1.25);
        z-index:10;
    }

    .table-cards-container .table-hand1-cards {
        display: grid;
        grid-column-start: 1;
        grid-row-start: 1;
        grid-template-columns: repeat(6, 1fr);
        grid-template-rows: 1fr;
        grid-column-gap: .2vw;
        position: relative;
    }

    .table-cards-container .table-hand2-cards {
        display: grid;
        grid-column-start: 1;
        grid-row-start: 2;
        grid-template-columns: repeat(6, 1fr);
        grid-template-rows: 1fr;
        grid-column-gap: .2vw;
        position: relative;
    }

.table-card {
    background-size: 100%;
    background-repeat: no-repeat;
}


.seat-cards-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: absolute;
    margin: 0,0,0,0;
}

    .seat-cards-container:hover {
        transform: scale(1.25,1.25);
    }


.best-hands-container {
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-row-gap: 1.25vw;
    position: absolute;
    margin: 0,0,0,0;
    z-index: 6;
}

    .best-hands-container:hover {
        transform: scale(1.6,1.6);
        z-index: 99;
    }

.cards-share {
    display: grid;
    grid-template-columns: 2fr;
    z-index:5;
}
    .cards-share:hover {
        transform: scale(1.6,1.6);
        z-index: 99;
    }

.actor {
    border: 5px solid green;
    animation: pulse 1.5s linear infinite alternate;
}

.sitting-out {
    border: 3px dashed red;
    animation: pulse 2s linear infinite reverse;
}
.seat0-cards-pos {
    position: absolute;
}

.seat1-cards-pos {
    position: absolute;
    -webkit-transform:rotate(53.5deg);
}

.seat2-cards-pos {
    position: absolute;
    -webkit-transform: rotate(105.5deg);
}

.seat3-cards-pos {
    position: absolute;
    -webkit-transform: rotate(154.5deg);
}

.seat4-cards-pos {
   position: absolute;
   -webkit-transform: rotate(-156.5deg);
}

.seat5-cards-pos {
    position: absolute;
    -webkit-transform: rotate(-105.5deg);
}

.seat6-cards-pos {
    position: absolute;
    -webkit-transform: rotate(-53.5deg);
}




.seat-up-cards {
    height: auto;
    display: grid;
    justify-content: center;
    align-content: center;
    /*    grid-column-start:1;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: 1fr;
*/
    grid-column-gap: .2vw;
    position: relative;
}

/*    .seat-up-cards:hover {
        transform: scale(1.25,1.25);
    }
*/

.seat-hole-cards {
    height: auto;
    display: grid;
    justify-content: center;
    align-content: center;
    grid-column-gap: .2vw;
    position: relative;
}

/*    .seat-hole-cards:hover {
        transform: scale(1.25,1.25);
    }
*/

.up-card {
    animation-name: spin ;
    animation-duration: .10s;
    animation-timing-function: linear;
    animation-iteration-count: 1;    
}


.dealt-card {
    z-index: 5;
    opacity: 0;
    position: absolute;
    display: grid;
    left: var(--card-source-left);
    top: var(--card-source-top);
    animation-name: spin, move, appear;
    animation-duration: .15s, var(--deal-delay), var(--deal-delay);
    animation-timing-function: ease-out, ease-out, ease-out;
    animation-iteration-count: 3, 1, 1;
    animation-fill-mode: forwards, forwards, forwards;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
}

.common-card {
    z-index: 5;
    opacity: 0;
    position: absolute;
    display: grid;
    animation-name: spin, move, appear;
    animation-duration: .15s, .6s, .6s;
    animation-timing-function: ease-out, ease-out, ease-in;
    animation-iteration-count: 3, 1, 1;
    animation-fill-mode: forwards, forwards, forwards;
}


.discard0-card {
    z-index: 5;
    opacity: 0;
    position: absolute;
    display: grid;
    left: var(--discard0-source-left);
    top: var(--discard0-source-top);
    animation-name: spin, moveDiscard0, appear;
    animation-duration: .15s, .6s, .6s;
    animation-timing-function: ease-out, ease-out, ease-in;
    animation-iteration-count: 3, 1, 1;
    animation-fill-mode: forwards, forwards, forwards;
}

.discard1-card {
    z-index: 5;
    opacity: 0;
    position: absolute;
    display: grid;
    left: var(--discard1-source-left);
    top: var(--discard1-source-top);
    animation-name: spin, moveDiscard1, appear;
    animation-duration: .15s, .6s, .6s;
    animation-timing-function: ease-out, ease-out, ease-in;
    animation-iteration-count: 3, 1, 1;
    animation-fill-mode: forwards, forwards, forwards;
}

.discard2-card {
    z-index: 5;
    opacity: 0;
    position: absolute;
    display: grid;
    left: var(--discard2-source-left);
    top: var(--discard2-source-top);
    animation-name: spin, moveDiscard2, appear;
    animation-duration: .15s, .6s, .6s;
    animation-timing-function: ease-out, ease-out, ease-in;
    animation-iteration-count: 3, 1, 1;
    animation-fill-mode: forwards, forwards, forwards;
}

.discard3-card {
    z-index: 5;
    opacity: 0;
    position: absolute;
    display: grid;
    left: var(--discard3-source-left);
    top: var(--discard3-source-top);
    animation-name: spin, moveDiscard3, appear;
    animation-duration: .15s, .6s, .6s;
    animation-timing-function: ease-out, ease-out, ease-in;
    animation-iteration-count: 3, 1, 1;
    animation-fill-mode: forwards, forwards, forwards;
}

.discard4-card {
    z-index: 5;
    opacity: 0;
    position: absolute;
    display: grid;
    left: var(--discard4-source-left);
    top: var(--discard4-source-top);
    animation-name: spin, moveDiscard4, appear;
    animation-duration: .15s, .6s, .6s;
    animation-timing-function: ease-out, ease-out, ease-in;
    animation-iteration-count: 3, 1, 1;
    animation-fill-mode: forwards, forwards, forwards;
}

.discard5-card {
    z-index: 5;
    opacity: 0;
    position: absolute;
    display: grid;
    left: var(--discard5-source-left);
    top: var(--discard5-source-top);
    animation-name: spin, moveDiscard5, appear;
    animation-duration: .15s, .6s, .6s;
    animation-timing-function: ease-out, ease-out, ease-in;
    animation-iteration-count: 3, 1, 1;
    animation-fill-mode: forwards, forwards, forwards;
}

.discard6-card {
    z-index: 5;
    opacity: 0;
    position: absolute;
    display: grid;
    left: var(--discard6-source-left);
    top: var(--discard6-source-top);
    animation-name: spin, moveDiscard6, appear;
    animation-duration: .15s, .6s, .6s;
    animation-timing-function: ease-out, ease-out, ease-in;
    animation-iteration-count: 3, 1, 1;
    animation-fill-mode: forwards, forwards, forwards;
}


.pick-card {
    color: green;
    font-size: 2.5vw;
    font-weight: 600;
    text-align: center;
    background-size: 100%;
    background-repeat: no-repeat;
}
    .pick-card:hover {
        transform: scale(1.1,1.1);
        z-index:6;
    }

.up-card1 {
    grid-column-start: 1;
    background-size: 100%;
    background-repeat: no-repeat;
}

.up-card2 {
    grid-column-start: 2;
    background-size: 100%;
    background-repeat: no-repeat;
}

.up-card3 {
    grid-column-start: 3;
    background-size: 100%;
    background-repeat: no-repeat;
}

.up-card4 {
    grid-column-start: 4;
    background-size: 100%;
    background-repeat: no-repeat;
}

.up-card5 {
    grid-column-start: 5;
    background-size: 100%;
    background-repeat: no-repeat;
}

.up-card6 {
    grid-column-start: 6;
    background-size: 100%;
    background-repeat: no-repeat;
}

.up-card7 {
    grid-column-start: 7;
    background-size: 100%;
    background-repeat: no-repeat;
}

.hole-card {
    animation-name: spin ;
    animation-duration: .75s;
    animation-timing-function: cubic-bezier(.1, .2, .3, 1);
    animation-iteration-count: 1; /*    
*/
}

.hole-card1 {
    grid-column-start: 1;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
}

.hole-card2 {
    grid-column-start: 2;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
}

.hole-card3 {
    grid-column-start: 3;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
}

.hole-card4 {
    grid-column-start: 4;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
}

.hole-card5 {
    grid-column-start: 5;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
}

.hole-card6 {
    grid-column-start: 6;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
}

.hole-card7 {
    grid-column-start: 7;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
}

.blank {
    background-image: none;
    background-size: 0;
    background-repeat: no-repeat;
    background-position: unset;
    background-color: rgba(0,0,0,0);
}

.chip-box {
/*    width: 3.5vw;
    height: 3.0vw;
    margin: .2vw;
*/}

.chip-button {
    width: 4.3vw;
    color: blue;
    font-weight: 600;
    text-align: center;
    background-size: 100% 100%;
    background-repeat:no-repeat;
    line-height:3.85vw;
    font-size:x-large;
}


.videos {
}

.just-text {
    display: contents
}

.first-name {
    display:contents;
    width: 10vh;
    height: 2vh;
    position: absolute;
    color: red;
    font-family: cursive;
    font-size: 1.5vh;
}
.first-name .center {
    justify-content:center;
}
.first-name .left {
    justify-content: left;
}
.first-name .right {
    justify-content: right;
}

.seat-video-container {
    overflow: hidden;
    display: grid;
    position: absolute;
    resize: vertical;
    border-radius: 5%;
    aspect-ratio: 4/3;
    justify-content: center;
    align-content: center;
    max-height: 35vh;
    min-height: 8.5vh;
/*    background-color: darkslategrey;
*/}

    .seat-video-container::-webkit-resizer {
        border-width: 1rem;
        border-style: solid;
        border-color: white;
        background-color:white;
    }

.seat-video {
/*    width: 260%;
    margin-left: -78%;
    margin-top: -38%;
*/}

.video-mic-img {
    position: absolute;
    aspect-ratio: 1/2;
    height: 50%;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-color: transparent;
    border: none;
    justify-self: center;
    align-self: center;
    z-index: 1000;
}
.video {
/*    max-height: 16.67vh;
    width: 16vh;
*/}


#local {
    margin-left: -78%;
    margin-top: -60%;
}

.actionbar {
    background-color: lightslategray;
    display: flex;
    flex-direction: column;
    flex-flow:  column;
    float: left;
    width: 15%;
    height: 100%;
}

.action-area {
    border: 6px solid green;
}

.pulse {
    animation: pulse .5s linear infinite alternate;
}

.dealer-button {
    box-shadow: rgba(0,0,0,.3) -.2vw -.2vw inset;
    width: 3vw;
    height: 3vw;
    border-radius: 50%;
    color: black;
    background-color: white;
    border-color: black;
    border-width: .2vw;
    text-align: center;
    font-size:.6vw;
    text-indent:-.4vw;
}

.actor-arrow {
    border-left: 1.75vw solid transparent;
    border-right: 1.75vw solid transparent;
    border-top: 3.5vw solid orange;
}

.game-info {
    width: 19%;
    height: auto;
    border: 4px solid yellow;
    background-color: lightgoldenrodyellow;
    line-height: normal;
}

    .actionbar .top-row {
        background-color: rgba(0,0,0,0.4);
    }

    .actionbar .navbar-brand {
        font-size: 1.6rem;
    }

    .actionbar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .actionbar .nav-item {
        font-size: 2vh;
        padding-bottom: 0.2vh;
    }

        .actionbar .nav-item:first-of-type {
            padding-top: 1rem;
        }

        .actionbar .nav-item:last-of-type {
            padding-bottom: 1rem;
        }

        .actionbar .nav-item a {
            color: #d7d7d7;
            border-radius: 4px;
            height: 3rem;
            display: flex;
            align-items: center;
            line-height: 3rem;
        }
        .actionbar .nav-item b {
            border-radius: 50%;
        }

            .actionbar .nav-item a.active {
                background-color: rgba(255,255,255,0.25);
                color: white;
            }

            .actionbar .nav-item a:hover {
                background-color: rgba(255,255,255,0.1);
                color: white;
            }

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.box {
    border-radius: 5px;
    width: 100% !important;
    border: 0 none;
    background-color: #fff;
    overflow: hidden;
}

.box__header {
    text-align: center;
    background-color: #fff;
    border-bottom: 1px solid #ced4da;
    padding: 0.5rem;
}

    .box__header h2,
    .box__header .box__title {
        font-size: 20px;
        font-weight: 700;
    }

    .box__header h2 {
        color: #000 !important;
        margin-bottom: 0;
        padding-top: 0 !important;
    }

.box__body {
    background-color: #f3f3f3;
    font-size: 15px;
    padding: 0.5rem;
    line-height: 1;
}

    .box__body [class*=col-] {
        padding-left: 0;
        padding-right: 0;
    }

    .box__body .chip-button {
        margin: 0.1rem;
    }

.box__footer {
    padding: 0.5rem;
    font-size: 14px;
    background-color: #fff;
    border-top: 1px solid #ced4da;
    text-align: center;
}

    .box__footer .text-md {
        line-height: 1;
        display: block;
    }

.orange-text {
    color: #e94700;
}

.green-text {
    color: #0d6303;
}

.text-md {
    font-size: 30px;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.fixed__bottom {
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
    height: 10vh;
    width: auto;
    min-width: 15vw;
    display: inline-block
}

canvas-container {
    position: absolute;
    bottom: .5rem;
    width: 15%;
    background-color: #ccc;
    aspect-ratio: 4/3;
    border-color: black;
    border-style: outset;
    border-radius: 5%;
    border-width: 2px;
    z-index: 1;
    /*    resize: vertical;
*/ overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

canvas {
    background-color: #ccc;
    /*    width: 160%;
    height: 100%;
*/ position: relative;
}

    @media (max-width: 768px) {
        /*.actionbar .collapse {*/
            /* Never collapse the imagebar for wide screens */
            /*display: contents;
        }
        .poker-table1  {
            width:100%;
        }*/
/*        .actionbar .self {
            display: none;
        }
        .actionbar .self-container {
            display: none;
        }
*/    }


    @media (min-width: 768px) {
        .imagebar {
            height: 100vh;
            top: 0;
        }

        .actionbar {
            height: 100vh;
            top: 0;
            min-width:15%;
        }

        .actionbar .collapse {
            /* Never collapse the imagebar for wide screens */
            display: contents;
        }
    }

.page {
    position: relative;
    display: flex!important;
    flex-direction: column;
}

.main {
    flex: 1;
}

.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row ::deep a, .top-row .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 767.98px) {
    .top-row:not(.auth) {
        display: none;
    }

    .top-row.auth {
        justify-content: space-between;
    }

    .top-row a, .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 768px) {
    .page {
        flex-direction: row;
    }

    .sidebar {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .main > div {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
